
INCLUDES = -I$(top_srcdir)/kicker/share -I$(top_srcdir)/kicker/ui $(all_includes)

kde_module_LTLIBRARIES = launcher_panelapplet.la

launcher_panelapplet_la_SOURCES = quicklauncher.cpp quickbutton.cpp quickaddappsmenu.cpp

METASOURCES = AUTO
noinst_HEADERS = quicklauncher.h quickbutton.h quickaddappsmenu.h

lnkdir = $(kde_datadir)/kicker/applets
lnk_DATA = quicklauncher.desktop

EXTRA_DIST = $(lnk_DATA)

launcher_panelapplet_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
launcher_panelapplet_la_LIBADD = ../../kicker.la $(LIB_KSYCOCA) $(LIB_KDEUI)

messages:
	$(XGETTEXT) *.cpp *.h -o $(podir)/quicklauncher.pot

srcdoc:
	kdoc -a -p -H -d $$HOME/web/src/quicklauncher quicklauncher *.h -lqt -lkdecore -lkdeui
